### Property

# WebKit Settings:allow-top-navigation-to-data-urls

since: 2.28

#### Declaration

    property allow-top-navigation-to-data-urls: gboolean [ read, write, construct ]

#### Description [src]

Whether or not the top frame is allowed to navigate to data URLs. It is disabled by default due to the risk it poses when loading untrusted URLs, with data URLs being used in scamming and phishing attacks. In contrast, a scenario where it could be enabled could be an app that embeds a WebView and you have control of the pages being show instead of a generic browser.

Type: | `gboolean`
Available since: | 2.28

Default value | FALSE
Getter method | `webkit_settings_get_allow_top_navigation_to_data_urls()`
Setter method | `webkit_settings_set_allow_top_navigation_to_data_urls()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no